      SUBROUTINE WAIT ( PAUSE )
C*
C*                  *******************************
C*                  *******************************
C*                  **                           **
C*                  **          WAIT             **
C*                  **                           **
C*                  *******************************
C*                  *******************************
C*
C*     SUBPROGRAM :
C*          WAIT
C*
C*     AUTHOR :
C*          ART RAGOSTA
C*          MS 207-5
C*          AMES RESEARCH CENTER
C*          MOFFETT FIELD, CA  94035
C*          (415) 694-5578
C*
C*     PURPOSE :
C*          WAIT FOR A SPECIFIED PERIOD OF TIME BEFORE RETURNING.
C*
C*     METHODOLOGY :
C*          USE THE SPAWN FUNCTION TO ISSUE A WAIT COMMAND.
C*
C*     INPUT ARGUMENTS :
C*          PAUSE - THE TIME (IN SECONDS) TO PAUSE BEFORE RETURNING(INTEGER).
C*
C*     OUTPUT ARGUMENTS :
C*          NONE
C*
C*     INTERNAL WORK AREAS :
C*          STRING - THE COMMAND STRING AS IT IS BUILT.
C*          SHORT,SHORT1 - INTERNAL FILES FOR FORMATTING THE TIME.
C*
C*     COMMON BLOCKS :
C*          NONE
C*
C*     FILE REFERENCES :
C*          NONE
C*
C*     DATA BASE ACCESS :
C*          NONE
C*
C*     SUBPROGRAM REFERENCES :
C*          LIB$SPAWN
C*
C*     ERROR PROCESSING :
C*          NONE
C*
C*     TRANSPORTABILITY LIMITATIONS :
C*          BOTH THE SPAWN ROUTINE AND THE WAIT COMMAND ARE VAX/VMS-SPECIFIC.
C*
C*     ASSUMPTIONS AND RESTRICTIONS :
C*          PAUSE TIME IS PRESENTLY LIMITED TO TEN MINUTES.
C*
C*     LANGUAGE AND COMPILER :
C*          ANSI FORTRAN 77
C*
C*     VERSION AND DATE :
C*          VERSION I.0      4-SEP-84
C*
C*     CHANGE HISTORY :
C*           4-SEP-84    INITIAL VERSION
C*
C***********************************************************************
C*
      CHARACTER *40 STRING
      CHARACTER *2 SHORT, SHORT1
      INTEGER SEC, PAUSE
C
      MIN   = PAUSE/60
      SEC   = PAUSE - 60*MIN
      IF (MIN .GT. 10) MIN = 10
      WRITE(SHORT,900) MIN
      WRITE(SHORT1,900) SEC
      STRING = 'WAIT 00:' // SHORT // ':' // SHORT1
      ISTAT  = LIB$SPAWN ( STRING,,,,,,,,,,, )
      RETURN
900   FORMAT(I2.2)
      END
C
C---END WAIT
C
